Bug 1051127 - Guided Rule Editor syntax highlighter highlights keywords also in names (strings).
Summary: Guided Rule Editor syntax highlighter highlights keywords also in names (stri...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss BRMS Platform 6
Classification: Retired
Component: Business Central
Version: 6.0.0
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ER1
: 6.0.1
Assignee: manstis
QA Contact: jvahala
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-09 17:57 UTC by Marek Baluch
Modified: 2016-04-28 05:07 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-06 19:58:21 UTC
Type: Bug


Attachments (Terms of Use)
screenshot (143.82 KB, image/png)
2014-01-09 17:57 UTC, Marek Baluch
no flags Details

Description Marek Baluch 2014-01-09 17:57:13 UTC
Created attachment 847748 [details]
screenshot

Description of problem:
If I create a new rule which contains a keyword in it's name then the keyword in the name will be highlighted too.

E.g. In the following rule the keyword 'rule' on line one will be highlighted twice. Once the correct keyword and then in the name "superrule"

1. rule "superrule"
2.     dialect "mvel"
3.     when
4.     then
5. end

Steps to Reproduce:
1. Create a new 'Guided Rule' with a name which contains a keyword (e.g. rule, when, then, etc.

Additional info:
See attached screenshot.

Comment 4 jvahala 2014-02-21 16:17:32 UTC
Highlight keywords in names fixed. 6.0.1 ER1


Note You need to log in before you can comment on or make changes to this bug.